<h3>Listado de Heroes</h3>

<div *ngIf="deletedHero; else nothinWasDeleted">
  <h3>Heroe Borrado <small class="text-danger">{{deletedHero}}</small></h3>
</div>
<ng-template #nothinWasDeleted>
  <h3>No se borro ningun heroe</h3>
</ng-template>

<button *ngIf="heroNames.length>0" class="btn btn-outline-danger" (click)="removeLastHero()">
  Borrar ultimo heroe
</button>

<ul class="mt-2 list-group">
  <li *ngFor="let name of heroNames" class="list-group-item">{{name}}</li>

</ul>